Skip to content
Get started

Creates delivery orders across multiple stores.

POST/api/v2/public/orders/deliveries

Creates delivery orders across multiple stores.

Header ParametersExpand Collapse
container_override: optional boolean
Body ParametersJSONExpand Collapse
orders: optional array of object { no_of_containers, order_number, store_number, 9 more }

The list of multi-store delivery orders to create.

no_of_containers: number

The number of containers.

formatint32
order_number: string

The unique order number.

store_number: string

The target store number.

supplier_name: string

The name of the supplier.

datetime_created: optional string

The datetime the order was created.

formatdate-time
datetime_expected: optional string

The expected delivery datetime.

formatdate-time
description: optional string

A description of the delivery order.

order_lines: optional array of object { quantity, barcode, container_barcode, 10 more }

The order lines in this delivery.

quantity: number

The quantity being delivered.

formatdouble
barcode: optional string

The product barcode.

container_barcode: optional string

The barcode of the container this line belongs to.

customer_order_line_number: optional number

The line number on the customer order.

formatint32
customer_order_number: optional string

The customer order number this line fulfills.

customer_order_shipment_number: optional string

The customer order shipment number.

customer_order_shipment_number_line_number: optional number

The line number on the customer order shipment.

formatint32
description: optional string

A description of the order line.

line_number: optional number

The order line number.

formatint32
product_number: optional string

The product number.

secondary_order_line_number: optional number

The line number on the secondary order.

formatint32
secondary_order_number: optional string

A secondary/external order number.

target_stock_pool: optional number

The target stock pool for the delivered goods.

formatint32
order_type: optional number

The order type identifier.

formatint32
reason_code: optional number

The reason code for the delivery.

formatint32
supplier_code: optional string

The unique supplier code.

tracing_url: optional string

URL for tracking the delivery shipment.

ReturnsExpand Collapse
data: optional string

Optional data payload returned by the operation.

message: optional string

Human-readable message describing the result.

success: optional boolean

Indicates whether the operation completed successfully.

Creates delivery orders across multiple stores.

curl https://api.colleqtive.net/api/v2/public/orders/deliveries \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "data": "12345",
  "message": "Record created successfully.",
  "success": true
}
Returns Examples
{
  "data": "12345",
  "message": "Record created successfully.",
  "success": true
}